<?php
use Models\TagModel;

// Fetch post's tags 
$tagModel = new TagModel();
$postTags = $tagModel->getTagsByPostId($post['id']);
// $postTags is an array, e.g.: [ ['id' => 1, 'name' => 'php'], ... ]

$tagsString = implode(', ', array_map(fn($t) => $t['name'], $postTags));
?>

<h2>Edit post</h2>
<form method="post" action="">
    <p>
        <label>Title:</label><br>
        <input type="text" name="title" value="<?= e($post['title']) ?>" required>
    </p>
    <p>
        <label>Post:</label><br>
        <textarea name="content" rows="10" cols="50"><?= e($post['content']) ?></textarea>
    </p>
    <p>
        <label>Tags (separated by comma):</label><br>
        <input type="text" name="tags" value="<?= e($tagsString) ?>">
    </p>
    <p>
        <label>Publishing date:</label><br>
        <?php
            $datetime_local_value = '';
            if (!empty($post['created_at'])) {
                // Делаем DateTime объект
                $dt = new DateTime($post['created_at']);
                // Преобразуем к Y-m-d\TH:i
                $datetime_local_value = $dt->format('Y-m-d\TH:i');
            }
        ?>
        <input type="datetime-local" name="created_at" value="<?= e($datetime_local_value) ?>">
    </p>
    <p>
        <button type="submit">Update</button>
    </p>
</form>
