<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title><?= BLOG_TITLE ?></title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0 auto;
            width: 800px;
            background-color: #FFFFEE;
            color: #000;
        }
        header, footer {
            background-color: #EEAA88;
            padding: 10px;
            text-align: center;
            margin-bottom: 10px;
        }
        nav {
            margin-bottom: 10px;
            text-align: center;
        }
        .container {
            display: flex;
        }
        .content {
            flex: 1;
        }
        .post {
            border: 1px solid #ccc;
            padding: 10px;
            margin-bottom: 10px;
            background-color: #F0E0D6;
        }
        .post_info {
            text-align: end;
            font-style: italic;
        }
        .tags {
            font-size: 0.9em;
            color: #555;
        }
        code {
            background-color: #f4f4f4;
            display: block;
            padding: 5px;
            margin: 5px 0;
            font-family: Courier, monospace;
        }
        .widget-title {
            text-align: center;
        }
    </style>
</head>
<body>

<header>
    <h1><?= HEADER_TEXT ?></h1>
</header>

<nav>
    <a href="<?= HOME_DIRECTORY ?>index.php">Home</a> | 
    <a href="<?= HOME_DIRECTORY ?>index.php?url=admin/index">Enter</a> | 
    <a href="<?= HOME_DIRECTORY ?>index.php?url=auth/logout">Logout</a>
</nav>

<div class="container">
    <div class="content">
        <?= $content ?>
    </div>
    <div class="sidebar">
        <?php
            echo $this->renderPartial('partials/archiveWidget.php');
            echo $this->renderPartial('partials/tagWidget.php');
        ?>
    </div>
</div>

<footer>
    <?= FOOTER_TEXT ?>
</footer>
</body>
</html>
